In this section you will list the users in the specified database instance.
This operation does not require a request body.
The following examples show the cURL requests for List Users in Database Instance:
Example 9.1. cURL List Users in Database Instance Request: XML
curl -i \ -H 'X-Auth-Token: your_auth_token' \ -H 'Content-Type: application/xml' \ -H 'Accept: application/xml' \ 'https://ord.databases.api.rackspacecloud.com/v1.0/your_acct_id/instances/instance_id/users'
Example 9.2. cURL List Users in Database Instance Request: JSON
curl -i \ -H 'X-Auth-Token: your_auth_token' \ -H 'Content-Type: application/json' \ 'https://ord.databases.api.rackspacecloud.com/v1.0/your_acct_id/instances/instance_id/users'
Remember to replace the names in the examples above with their actual respective values:
your_auth_token — as returned in your authentication response (see the examples in Chapter 4, Generate an Authentication Token)
your_acct_id — as returned in your authentication response (see the examples in Chapter 4, Generate an Authentication Token)
instance_id — as returned in your create instance response (see the examples in Chapter 7, Create a Database Instance with a Database and a User)
The following examples show the responses for List Users in Database Instance:
Example 9.3. List Users in Database Instance Response: XML
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: 109
Date: Thu, 05 Apr 2012 18:20:18 GMT
<?xml version="1.0" ?>
<users xmlns="http://docs.openstack.org/database/api/v1.0">
<user name="simplestUser">
<databases>
<database>
<name>
sampledb
</name>
</database>
</databases>
</user>
</users>
Example 9.4. List Users in Database Instance Response: JSON
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 113
Date: Thu, 05 Apr 2012 18:13:53 GMT
{
"users": [
{
"databases": [
{
"name": "sampledb"
}
],
"name": "simplestUser"
}
]
}You can see that the user simplestUser was
successfully created.

